// SystemDlg.cpp : 实现文件
//

#include "stdafx.h"
#include "By5000Asiplay Demo.h"
#include "SystemDlg.h"
#include ".\systemdlg.h"
#include "By5000asiplay.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#endif
// CSystemDlg 对话框

IMPLEMENT_DYNAMIC(CSystemDlg, CDialog)
CSystemDlg::CSystemDlg(CWnd* pParent /*=NULL*/)
	: CDialog(CSystemDlg::IDD, pParent)
{
	m_uiCardNumber =0;
}

CSystemDlg::~CSystemDlg()
{
}

void CSystemDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
}
BEGIN_MESSAGE_MAP(CSystemDlg, CDialog)
	ON_BN_CLICKED(IDC_PAL, CSystemDlg::OnBnClickedPal)
	ON_BN_CLICKED(IDC_NTSC,CSystemDlg::OnBnClickedNtsc)
	ON_BN_CLICKED(IDC_VIDEO_SYNC_INTERNAL, CSystemDlg::OnBnClickedVideoSyncInternal)
	ON_BN_CLICKED(IDC_VIDEO_SYNC_CVBS1, CSystemDlg::OnBnClickedVideoSyncCvbs1)
	ON_BN_CLICKED(IDC_VIDEO_SYNC_SVIDEO,CSystemDlg::OnBnClickedVideoSyncSvideo)
	ON_BN_CLICKED(IDC_VIDEO_SYNC_YUV, CSystemDlg::OnBnClickedVideoSyncYuv)
	ON_BN_CLICKED(IDC_VIDEO_SOURCE_CVBS1, CSystemDlg::OnBnClickedVideoSourceCvbs1)
	ON_BN_CLICKED(IDC_VIDEO_SOURCE_SVIDEO, CSystemDlg::OnBnClickedVideoSourceSvideo)
	ON_BN_CLICKED(IDC_VIDEO_SOURCE_YUV, CSystemDlg::OnBnClickedVideoSourceYuv)
	ON_BN_CLICKED(IDC_VIDEO_SOURCE_ASI, CSystemDlg::OnBnClickedVideoSourceAsi)
	ON_BN_CLICKED(IDC_AUDIO_SOURCE_RCA, CSystemDlg::OnBnClickedAudioSourceRca)
	ON_BN_CLICKED(IDC_AUDIO_RELAY_LOOPBACK, CSystemDlg::OnBnClickedAudioRelayLoopback)
	ON_BN_CLICKED(IDC_AUDIO_RELAY_NORMAL, CSystemDlg::OnBnClickedAudioRelayNormal)
	ON_BN_CLICKED(IDC_CHECK_LOCKRAT, CSystemDlg::OnBnClickedCheckLockRat)
	ON_BN_CLICKED(IDC_VIDEO_SYNC_GENLOCK, OnBnClickedVideoSyncGenlock)
	ON_BN_CLICKED(IDC_AUDIO_SOURCE_XLR, OnBnClickedAudioSourceXlr)
	ON_BN_CLICKED(IDC_AUDIO_RELAY_LOOPBACK_XLR, OnBnClickedAudioRelayLoopbackXlr)
	ON_BN_CLICKED(IDC_AUDIO_RELAY_NORMAL_XLR, OnBnClickedAudioRelayNormalXlr)
	ON_BN_CLICKED(IDC_VIDEO_RELAY_LOOPBACK_CVBS, OnBnClickedVideoRelayLoopbackCvbs)
	ON_BN_CLICKED(IDC_VIDEO_RELAY_NORMAL_CVBS, OnBnClickedVideoRelayNormalCvbs)
	ON_BN_CLICKED(IDC_VIDEO_RELAY_LOOPBACK_ASI, OnBnClickedVideoRelayLoopbackAsi)
	ON_BN_CLICKED(IDC_VIDEO_RELAY_NORMAL_ASI, OnBnClickedVideoRelayNormalAsi)
	ON_BN_CLICKED(IDC_RADIO_ASI_PACKET_LENGH_188, &CSystemDlg::OnBnClickedRadioAsiPacketLengh188)
	ON_BN_CLICKED(IDC_RADIO_ASI_PACKET_LENGH_204, &CSystemDlg::OnBnClickedRadioAsiPacketLengh204)
END_MESSAGE_MAP()


// CSystemDlg 消息处理程序
void CSystemDlg::OnBnClickedPal()
{
	// TODO: Add your control notification handler code here
	Seekfit_By5000asiplay_SetVideoMode(VIDEO_MODE_PAL, m_uiCardNumber);
}

void CSystemDlg::OnBnClickedNtsc()
{
	// TODO: Add your control notification handler code here
	Seekfit_By5000asiplay_SetVideoMode(VIDEO_MODE_NTSC, m_uiCardNumber);
}

void CSystemDlg::OnBnClickedVideoSyncInternal()
{
	// TODO: Add your control notification handler code here
	Seekfit_By5000asiplay_SetSyncSource(By5000ASIPLAY_SYNC_SOURCE_INTERNAL, m_uiCardNumber);
}

void CSystemDlg::OnBnClickedVideoSyncCvbs1()
{
	// TODO: Add your control notification handler code here
	Seekfit_By5000asiplay_SetSyncSource(By5000ASIPLAY_VIDEO_SOURCE_CVBS, m_uiCardNumber);
}

void CSystemDlg::OnBnClickedVideoSyncSvideo()
{
	// TODO: Add your control notification handler code here
	Seekfit_By5000asiplay_SetSyncSource(By5000ASIPLAY_VIDEO_SOURCE_SVIDEO, m_uiCardNumber);
}

void CSystemDlg::OnBnClickedVideoSyncYuv()
{
	// TODO: Add your control notification handler code here
	Seekfit_By5000asiplay_SetSyncSource(By5000ASIPLAY_VIDEO_SOURCE_YUV, m_uiCardNumber);
}
//void CSystemDlg::OnBnClickedVideoSyncAsi()
//{
//	// TODO: 在此添加控件通知处理程序代码
//	//Seekfit_By5000asiplay_SetSyncSource(By5000ASIPLAY_VIDEO_SOURCE_ASI, m_uiCardNumber);
//}
void CSystemDlg::OnBnClickedVideoSourceCvbs1()
{
	// TODO: Add your control notification handler code here
	Seekfit_By5000asiplay_SetVideoSource(By5000ASIPLAY_VIDEO_SOURCE_CVBS, m_uiCardNumber);
}

void CSystemDlg::OnBnClickedVideoSourceSvideo()
{
	// TODO: Add your control notification handler code here
	Seekfit_By5000asiplay_SetVideoSource(By5000ASIPLAY_VIDEO_SOURCE_SVIDEO, m_uiCardNumber);
}

void CSystemDlg::OnBnClickedVideoSourceYuv()
{
	// TODO: Add your control notification handler code here
	Seekfit_By5000asiplay_SetVideoSource(By5000ASIPLAY_VIDEO_SOURCE_YUV, m_uiCardNumber);
}

void CSystemDlg::OnBnClickedVideoSourceAsi()
{
	// TODO: Add your control notification handler code here
	Seekfit_By5000asiplay_SetVideoSource(By5000ASIPLAY_VIDEO_SOURCE_ASI, m_uiCardNumber);	
}

void CSystemDlg::OnBnClickedAudioSourceRca()
{
	// TODO: Add your control notification handler code here
	Seekfit_By5000asiplay_SetAudioSource(By5000ASIPLAY_AUDIO_SOURCE_RCA, m_uiCardNumber);
}

//void CSystemDlg::OnBnClickedAudioSourceAsi()
//{
//	// TODO: Add your control notification handler code here
//	//Seekfit_By5000asiplay_SetAudioSource(AUDIO_SOURCE_ASI, m_uiCardNumber);
//}

void CSystemDlg::OnBnClickedAudioRelayLoopback()
{
	// TODO: Add your control notification handler code here
	Seekfit_By5000asiplay_SetAudioRelayMode(BY5000ASIPLAY_RELAY_AUDIO_RCA,RELAY_MODE_LOOPBACK,m_uiCardNumber);
}

void CSystemDlg::OnBnClickedAudioRelayNormal()
{
	// TODO: Add your control notification handler code here
	Seekfit_By5000asiplay_SetAudioRelayMode(BY5000ASIPLAY_RELAY_AUDIO_RCA,RELAY_MODE_NORMAL,m_uiCardNumber);
}

//void CSystemDlg::OnBnClickedButtonSubpictureIndex()
//{
//	// TODO: Add your control notification handler code here
//	CString str = _T("");
//	UINT index=0 ;
//	((CEdit *)GetDlgItem(IDC_EDIT_SUBPICTURE_INDEX))->GetWindowText(str);
//	sscanf_s(str,_T("%d"),&index);
//	Seekfit_By5000asiplay_MediaSetDvdSubPictureIndex(index, m_uiCardNumber);
//}

//void CSystemDlg::OnBnClickedButtonDvdAudioIndex()
//{
//	// TODO: Add your control notification handler code here
//	CString str = _T("");
//	UINT index=0 ;
//	((CEdit *)GetDlgItem(IDC_EDIT_DVD_AUDIO_INDEX))->GetWindowText(str);
//	sscanf_s(str,_T("%d"),&index);
//	Seekfit_By5000asiplay_MediaSetDvdAudioIndex(index, m_uiCardNumber);
//}

BOOL CSystemDlg::OnInitDialog()
{
	CDialog::OnInitDialog();

	// TODO:  Add extra initialization here
	
	UINT uiTemp;
	CButton * pButton;

	Seekfit_By5000asiplay_GetVideoMode(uiTemp, m_uiCardNumber);
	if (uiTemp == VIDEO_MODE_PAL)
		pButton = (CButton*)(GetDlgItem(IDC_PAL));
	else
		pButton = (CButton*)(GetDlgItem(IDC_NTSC));
	pButton ->SetCheck(1);
	m_uiVideoMode = uiTemp;
	
	Seekfit_By5000asiplay_GetSyncSource(uiTemp, m_uiCardNumber);
	if (uiTemp == By5000ASIPLAY_SYNC_SOURCE_INTERNAL)
		pButton = (CButton*)(GetDlgItem(IDC_VIDEO_SYNC_INTERNAL));
	else if (uiTemp == By5000ASIPLAY_VIDEO_SOURCE_CVBS)
		pButton = (CButton*)(GetDlgItem(IDC_VIDEO_SYNC_CVBS1));
	else if (uiTemp == BY5000ASIPLAY_VIDEO_SOURCE_GENLOCK)
		pButton = (CButton*)(GetDlgItem(IDC_VIDEO_SYNC_GENLOCK));
	else if (uiTemp == By5000ASIPLAY_VIDEO_SOURCE_SVIDEO)
		pButton = (CButton*)(GetDlgItem(IDC_VIDEO_SYNC_SVIDEO));
	else if (uiTemp == By5000ASIPLAY_VIDEO_SOURCE_YUV)
		pButton = (CButton*)(GetDlgItem(IDC_VIDEO_SYNC_YUV));
	else if (uiTemp == By5000ASIPLAY_VIDEO_SOURCE_ASI)
		pButton = (CButton*)(GetDlgItem(IDC_VIDEO_SYNC_ASI));
	else
		pButton = (CButton*)(GetDlgItem(IDC_VIDEO_SYNC_INTERNAL));
	
	pButton ->SetCheck(1);
	

	Seekfit_By5000asiplay_GetVideoSource(uiTemp, m_uiCardNumber);

	if (uiTemp == By5000ASIPLAY_VIDEO_SOURCE_CVBS)
		pButton = (CButton*)(GetDlgItem(IDC_VIDEO_SOURCE_CVBS1));
	else if (uiTemp == By5000ASIPLAY_VIDEO_SOURCE_SVIDEO)
		pButton = (CButton*)(GetDlgItem(IDC_VIDEO_SOURCE_SVIDEO));
	else if (uiTemp == By5000ASIPLAY_VIDEO_SOURCE_YUV)
		pButton = (CButton*)(GetDlgItem(IDC_VIDEO_SOURCE_YUV));
	else if (uiTemp == By5000ASIPLAY_VIDEO_SOURCE_ASI)
		pButton = (CButton*)(GetDlgItem(IDC_VIDEO_SOURCE_ASI));
	else
		pButton = (CButton*)(GetDlgItem(IDC_VIDEO_SOURCE_CVBS1));
	pButton ->SetCheck(1);

	Seekfit_By5000asiplay_GetAudioSource(uiTemp, m_uiCardNumber);
	if (uiTemp == By5000ASIPLAY_AUDIO_SOURCE_RCA)
		pButton = (CButton*)(GetDlgItem(IDC_AUDIO_SOURCE_RCA));
	else if(uiTemp == BY5000ASIPLAY_AUDIO_SOURCE_XLR)
		pButton = (CButton*)(GetDlgItem(IDC_AUDIO_SOURCE_XLR));
	else
		pButton = (CButton*)(GetDlgItem(IDC_AUDIO_SOURCE_RCA));
	pButton ->SetCheck(1);

	Seekfit_By5000asiplay_GetAudioRelayMode(BY5000ASIPLAY_RELAY_AUDIO_RCA,uiTemp, m_uiCardNumber);
	if (uiTemp == RELAY_MODE_LOOPBACK)
		pButton = (CButton*)(GetDlgItem(IDC_AUDIO_RELAY_LOOPBACK));
	else if (uiTemp == RELAY_MODE_NORMAL)
		pButton = (CButton*)(GetDlgItem(IDC_AUDIO_RELAY_NORMAL));
	else
		pButton = (CButton*)(GetDlgItem(IDC_AUDIO_RELAY_LOOPBACK));
	pButton ->SetCheck(1);

	Seekfit_By5000asiplay_GetAudioRelayMode(BY5000ASIPLAY_RELAY_AUDIO_XLR,uiTemp, m_uiCardNumber);
	if (uiTemp == RELAY_MODE_LOOPBACK)
		pButton = (CButton*)(GetDlgItem(IDC_AUDIO_RELAY_LOOPBACK_XLR));
	else if (uiTemp == RELAY_MODE_NORMAL)
		pButton = (CButton*)(GetDlgItem(IDC_AUDIO_RELAY_NORMAL_XLR));
	else
		pButton = (CButton*)(GetDlgItem(IDC_AUDIO_RELAY_LOOPBACK_XLR));
	pButton ->SetCheck(1);

	Seekfit_By5000asiplay_GetVideoRelayMode(BY5000ASIPLAY_RELAY_VIDEO_CVBS,uiTemp, m_uiCardNumber);
	if (uiTemp == RELAY_MODE_LOOPBACK)
		pButton = (CButton*)(GetDlgItem(IDC_VIDEO_RELAY_LOOPBACK_CVBS));
	else if (uiTemp == RELAY_MODE_NORMAL)
		pButton = (CButton*)(GetDlgItem(IDC_VIDEO_RELAY_NORMAL_CVBS));
	else
		pButton = (CButton*)(GetDlgItem(IDC_VIDEO_RELAY_LOOPBACK_CVBS));
	pButton ->SetCheck(1);

	Seekfit_By5000asiplay_GetVideoRelayMode(BY5000ASIPLAY_RELAY_VIDEO_ASI,uiTemp, m_uiCardNumber);
	if (uiTemp == RELAY_MODE_LOOPBACK)
		pButton = (CButton*)(GetDlgItem(IDC_VIDEO_RELAY_LOOPBACK_ASI));
	else if (uiTemp == RELAY_MODE_NORMAL)
		pButton = (CButton*)(GetDlgItem(IDC_VIDEO_RELAY_NORMAL_ASI));
	else
		pButton = (CButton*)(GetDlgItem(IDC_VIDEO_RELAY_LOOPBACK_ASI));
	pButton ->SetCheck(1);

	Seekfit_By5000asiplay_TsGetBoardPacketLengh(uiTemp,m_uiCardNumber);
	if (uiTemp == ASI_PACKET_188)
		pButton = (CButton*)(GetDlgItem(IDC_RADIO_ASI_PACKET_LENGH_188));
	else if(uiTemp == ASI_PACKET_204)
		pButton = (CButton*)(GetDlgItem(IDC_RADIO_ASI_PACKET_LENGH_204));
	else
		pButton = (CButton*)(GetDlgItem(IDC_RADIO_ASI_PACKET_LENGH_188));
	pButton ->SetCheck(1);
	return TRUE;  // return TRUE unless you set the focus to a control
	// EXCEPTION: OCX Property Pages should return FALSE
}


void CSystemDlg::SysRestore()
{
	UINT uiTemp;
	CButton * pButton;
	Seekfit_By5000asiplay_GetVideoMode(uiTemp, m_uiCardNumber);
	pButton = (CButton*)(GetDlgItem(IDC_PAL));
	pButton->SetCheck(0);
	pButton = (CButton*)(GetDlgItem(IDC_NTSC));
	pButton->SetCheck(0);
	if (uiTemp == VIDEO_MODE_PAL)
		pButton = (CButton*)(GetDlgItem(IDC_PAL));
	else
		pButton = (CButton*)(GetDlgItem(IDC_NTSC));
	pButton ->SetCheck(1);
	m_uiVideoMode = uiTemp;

	Seekfit_By5000asiplay_GetSyncSource(uiTemp, m_uiCardNumber);
	pButton = (CButton*)(GetDlgItem(IDC_VIDEO_SYNC_INTERNAL));
	pButton ->SetCheck(0);
	pButton = (CButton*)(GetDlgItem(IDC_VIDEO_SYNC_CVBS1));
	pButton ->SetCheck(0);
	pButton = (CButton*)(GetDlgItem(IDC_VIDEO_SYNC_SVIDEO));
	pButton ->SetCheck(0);
	pButton = (CButton*)(GetDlgItem(IDC_VIDEO_SYNC_YUV));
	pButton ->SetCheck(0);
	if (uiTemp == By5000ASIPLAY_SYNC_SOURCE_INTERNAL)
		pButton = (CButton*)(GetDlgItem(IDC_VIDEO_SYNC_INTERNAL));
	else if (uiTemp == By5000ASIPLAY_VIDEO_SOURCE_CVBS)
		pButton = (CButton*)(GetDlgItem(IDC_VIDEO_SYNC_CVBS1));
	else if (uiTemp == By5000ASIPLAY_VIDEO_SOURCE_SVIDEO)
		pButton = (CButton*)(GetDlgItem(IDC_VIDEO_SYNC_SVIDEO));
	else if (uiTemp == By5000ASIPLAY_VIDEO_SOURCE_YUV)
		pButton = (CButton*)(GetDlgItem(IDC_VIDEO_SYNC_YUV));
	else
		pButton = (CButton*)(GetDlgItem(IDC_VIDEO_SYNC_INTERNAL));
	pButton ->SetCheck(1);

	Seekfit_By5000asiplay_GetVideoSource(uiTemp, m_uiCardNumber);
	pButton = (CButton*)(GetDlgItem(IDC_VIDEO_SOURCE_CVBS1));
	pButton ->SetCheck(0);
	pButton = (CButton*)(GetDlgItem(IDC_VIDEO_SOURCE_SVIDEO));
	pButton ->SetCheck(0);
	pButton = (CButton*)(GetDlgItem(IDC_VIDEO_SOURCE_YUV));
	pButton ->SetCheck(0);
	pButton = (CButton*)(GetDlgItem(IDC_VIDEO_SOURCE_ASI));
	pButton ->SetCheck(0);
	if (uiTemp == By5000ASIPLAY_VIDEO_SOURCE_CVBS)
		pButton = (CButton*)(GetDlgItem(IDC_VIDEO_SOURCE_CVBS1));
	else if (uiTemp == By5000ASIPLAY_VIDEO_SOURCE_SVIDEO)
		pButton = (CButton*)(GetDlgItem(IDC_VIDEO_SOURCE_SVIDEO));
	else if (uiTemp == By5000ASIPLAY_VIDEO_SOURCE_YUV)
		pButton = (CButton*)(GetDlgItem(IDC_VIDEO_SOURCE_YUV));
	else if (uiTemp == By5000ASIPLAY_VIDEO_SOURCE_ASI)
		pButton = (CButton*)(GetDlgItem(IDC_VIDEO_SOURCE_ASI));
	else 
		pButton = (CButton*)(GetDlgItem(IDC_VIDEO_SOURCE_CVBS1));
	pButton ->SetCheck(1);

	Seekfit_By5000asiplay_GetAudioSource(uiTemp, m_uiCardNumber);
	pButton = (CButton*)(GetDlgItem(IDC_AUDIO_SOURCE_RCA));
	pButton ->SetCheck(0);
	pButton = (CButton*)(GetDlgItem(IDC_AUDIO_SOURCE_XLR));
	pButton ->SetCheck(0);
	
	if (uiTemp == By5000ASIPLAY_AUDIO_SOURCE_RCA)
		pButton = (CButton*)(GetDlgItem(IDC_AUDIO_SOURCE_RCA));
	else if (uiTemp == BY5000ASIPLAY_AUDIO_SOURCE_XLR)
		pButton = (CButton*)(GetDlgItem(IDC_AUDIO_SOURCE_XLR));
	else
		pButton = (CButton*)(GetDlgItem(IDC_AUDIO_SOURCE_RCA));
	pButton ->SetCheck(1);

	Seekfit_By5000asiplay_TsGetBoardPacketLengh(uiTemp,m_uiCardNumber);
	pButton = (CButton*)(GetDlgItem(IDC_RADIO_ASI_PACKET_LENGH_188));
	pButton ->SetCheck(0);
	pButton = (CButton*)(GetDlgItem(IDC_RADIO_ASI_PACKET_LENGH_204));
	pButton ->SetCheck(0);

	if (uiTemp == ASI_PACKET_188)
		pButton = (CButton*)(GetDlgItem(IDC_RADIO_ASI_PACKET_LENGH_188));
	else if (uiTemp == ASI_PACKET_204)
		pButton = (CButton*)(GetDlgItem(IDC_RADIO_ASI_PACKET_LENGH_204));
	else
		pButton = (CButton*)(GetDlgItem(IDC_RADIO_ASI_PACKET_LENGH_188));
	pButton ->SetCheck(1);

}

void CSystemDlg::OnBnClickedCheckLockRat()
{
	// TODO: 在此添加控件通知处理程序代码
	CButton * Check;
	Check = (CButton *)GetDlgItem(IDC_CHECK_LOCKRAT);
	if (Check->GetCheck() == BST_UNCHECKED)
	{	
		Seekfit_By5000asiplay_MediaDisableWindowRatioAutoAdjust(m_uiCardNumber);
	}
	else
	{	
		Seekfit_By5000asiplay_MediaEnableWindowRatioAutoAdjust(m_uiCardNumber);
	}
}


void CSystemDlg::OnBnClickedVideoSyncGenlock()
{
	// TODO: 在此添加控件通知处理程序代码
	Seekfit_By5000asiplay_SetSyncSource(BY5000ASIPLAY_VIDEO_SOURCE_GENLOCK,m_uiCardNumber);

}

void CSystemDlg::OnBnClickedAudioSourceXlr()
{
	// TODO: 在此添加控件通知处理程序代码
	Seekfit_By5000asiplay_SetAudioSource(BY5000ASIPLAY_AUDIO_SOURCE_XLR,m_uiCardNumber);
}

void CSystemDlg::OnBnClickedAudioRelayLoopbackXlr()
{
	// TODO: 在此添加控件通知处理程序代码
	Seekfit_By5000asiplay_SetAudioRelayMode(BY5000ASIPLAY_RELAY_AUDIO_XLR,RELAY_MODE_LOOPBACK,m_uiCardNumber);
}

void CSystemDlg::OnBnClickedAudioRelayNormalXlr()
{
	// TODO: 在此添加控件通知处理程序代码
	Seekfit_By5000asiplay_SetAudioRelayMode(BY5000ASIPLAY_RELAY_AUDIO_XLR,RELAY_MODE_NORMAL,m_uiCardNumber);
}

void CSystemDlg::OnBnClickedVideoRelayLoopbackCvbs()
{
	// TODO: 在此添加控件通知处理程序代码
	Seekfit_By5000asiplay_SetVideoRelayMode(BY5000ASIPLAY_RELAY_VIDEO_CVBS,RELAY_MODE_LOOPBACK,m_uiCardNumber);
}

void CSystemDlg::OnBnClickedVideoRelayNormalCvbs()
{
	// TODO: 在此添加控件通知处理程序代码
	Seekfit_By5000asiplay_SetVideoRelayMode(BY5000ASIPLAY_RELAY_VIDEO_CVBS,RELAY_MODE_NORMAL,m_uiCardNumber);
}

void CSystemDlg::OnBnClickedVideoRelayLoopbackAsi()
{
	// TODO: 在此添加控件通知处理程序代码
	Seekfit_By5000asiplay_SetVideoRelayMode(BY5000ASIPLAY_RELAY_VIDEO_ASI,RELAY_MODE_LOOPBACK,m_uiCardNumber);
}

void CSystemDlg::OnBnClickedVideoRelayNormalAsi()
{
	// TODO: 在此添加控件通知处理程序代码
	Seekfit_By5000asiplay_SetVideoRelayMode(BY5000ASIPLAY_RELAY_VIDEO_ASI,RELAY_MODE_NORMAL,m_uiCardNumber);
}

void CSystemDlg::OnBnClickedRadioAsiPacketLengh188()
{
	// TODO: 在此添加控件通知处理程序代码
	Seekfit_By5000asiplay_TsSetBoardPacketLengh(ASI_PACKET_188,m_uiCardNumber);
}

void CSystemDlg::OnBnClickedRadioAsiPacketLengh204()
{
	// TODO: 在此添加控件通知处理程序代码
	Seekfit_By5000asiplay_TsSetBoardPacketLengh(ASI_PACKET_204,m_uiCardNumber);
}
